Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

After applying the most recent ctan updates, the following MWE does not compile with lualuatex. There is an error given ending with \cs_set_nopar:Npx that I can't make sense of.

\documentclass{article}

\usepackage{amsmath}
\usepackage{unicode-math}

\begin{document}
test
\end{document}

any ideas on how to work around this?

share|improve this question
4  
Known issue, already solved in the appropriate development tree and likely to be fixed on CTAN within a couple of days: github.com/latex3/svn-mirror/issues/98. If really urgent, grab the fixed lualatex-math from github.com/phst/lualatex-math. –  Joseph Wright Aug 23 '12 at 20:14
    
great thanks, should i just delete this question? –  grizzilus Aug 23 '12 at 20:38
    
No, it will be a useful marker. We'll probably close it as 'too localized' (in time) once the fix is into TeX Live and MiKTeX: probably a week or so. –  Joseph Wright Aug 23 '12 at 20:41
    
@JosephWright Why not simply post your comment as an answer? –  Bruno Le Floch Aug 24 '12 at 8:46
add comment

1 Answer

up vote 4 down vote accepted

Known issue, which can be tracked back via unicode-math to lualatex-math. This is fixed in the development tree for lualatex-math, and is on its way to CTAN so should be in TeX Live/MiKTeX soon. If really urgent, grab the fixed lualatex-math.

share|improve this answer
    
I have current TL2012 but do not get an error?? –  Herbert Aug 24 '12 at 8:59
    
@Herbert Well I certainly could reproduce the issue with the MWE from the linked unicode-math bug report, with an up-to-date l3kernel but not-fixed lualatex-math. –  Joseph Wright Aug 24 '12 at 9:04
1  
@Herbert tl 2012 hasn't caught up, yet, but the updated lualatex-math arrived on the ctan core sites within the last hour. so, in principle, it could be available from tex live within a day. personally, i would grab the package from ctan asap, and junk that copy when the tl version arrives. –  wasteofspace Aug 24 '12 at 9:34
    
@wasteofspace: the original poster has an up-to-date TL, the same as I have. So my question is why I do not get the error –  Herbert Aug 24 '12 at 9:36
1  
@Herbert I'm not sure if the OP has TL or has MiKTeX: it does not say. I tested using the development version of l3kernel, which of course is 'up to date', so would expect to see the issue even if TL has not yet got the appropriate files added. –  Joseph Wright Aug 24 '12 at 10:07
show 4 more comments

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.